<html>
<head>
<title>Ogre::D3D9Device::RenderWindowResources Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html">RenderWindowResources</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D9Device::RenderWindowResources Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D9Device::RenderWindowResources" -->
<p><code>#include &lt;<a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>&gt;</code></p>

<p><a href="structOgre_1_1D3D9Device_1_1RenderWindowResources-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DSwapChain9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a59099d36661ca71fc969ceb96cf1b263">swapChain</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a8c4d9e73591919a3a3d610714a159c12">adapterOrdinalInGroupIndex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a0ffbc3eb8d3392b0a0853d2e564a731c">presentParametersIndex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DSurface9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a169993c3cac2e0a3f779f826aebcbae0">backBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DSurface9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#ac6a72aa7e7a07c45bb42bbfff89abf8b">depthBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">D3DPRESENT_PARAMETERS&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a6f56edc78dea29ccec18da86455679ac">presentParameters</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a4596766fe8c826aadd9cb4525293fde6">acquired</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00109">109</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a4596766fe8c826aadd9cb4525293fde6"></a><!-- doxytag: member="Ogre::D3D9Device::RenderWindowResources::acquired" ref="a4596766fe8c826aadd9cb4525293fde6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a4596766fe8c826aadd9cb4525293fde6">Ogre::D3D9Device::RenderWindowResources::acquired</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00117">117</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8c4d9e73591919a3a3d610714a159c12"></a><!-- doxytag: member="Ogre::D3D9Device::RenderWindowResources::adapterOrdinalInGroupIndex" ref="a8c4d9e73591919a3a3d610714a159c12" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a8c4d9e73591919a3a3d610714a159c12">Ogre::D3D9Device::RenderWindowResources::adapterOrdinalInGroupIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00112">112</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a169993c3cac2e0a3f779f826aebcbae0"></a><!-- doxytag: member="Ogre::D3D9Device::RenderWindowResources::backBuffer" ref="a169993c3cac2e0a3f779f826aebcbae0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DSurface9* <a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a169993c3cac2e0a3f779f826aebcbae0">Ogre::D3D9Device::RenderWindowResources::backBuffer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00114">114</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac6a72aa7e7a07c45bb42bbfff89abf8b"></a><!-- doxytag: member="Ogre::D3D9Device::RenderWindowResources::depthBuffer" ref="ac6a72aa7e7a07c45bb42bbfff89abf8b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DSurface9* <a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#ac6a72aa7e7a07c45bb42bbfff89abf8b">Ogre::D3D9Device::RenderWindowResources::depthBuffer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00115">115</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6f56edc78dea29ccec18da86455679ac"></a><!-- doxytag: member="Ogre::D3D9Device::RenderWindowResources::presentParameters" ref="a6f56edc78dea29ccec18da86455679ac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D3DPRESENT_PARAMETERS <a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a6f56edc78dea29ccec18da86455679ac">Ogre::D3D9Device::RenderWindowResources::presentParameters</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00116">116</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0ffbc3eb8d3392b0a0853d2e564a731c"></a><!-- doxytag: member="Ogre::D3D9Device::RenderWindowResources::presentParametersIndex" ref="a0ffbc3eb8d3392b0a0853d2e564a731c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a0ffbc3eb8d3392b0a0853d2e564a731c">Ogre::D3D9Device::RenderWindowResources::presentParametersIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00113">113</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a59099d36661ca71fc969ceb96cf1b263"></a><!-- doxytag: member="Ogre::D3D9Device::RenderWindowResources::swapChain" ref="a59099d36661ca71fc969ceb96cf1b263" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DSwapChain9* <a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a59099d36661ca71fc969ceb96cf1b263">Ogre::D3D9Device::RenderWindowResources::swapChain</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00111">111</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:15
</p>
</body>
</html>
